Bug 1569590 - Review Request: php-sebastian-comparator3 - Compare PHP values for equality
Summary: Review Request: php-sebastian-comparator3 - Compare PHP values for equality
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 14:34 UTC by Remi Collet
Modified: 2018-04-27 04:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:11:05 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2018-04-19 14:34:07 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/phpunit/php-sebastian-comparator3.git/plain/php-sebastian-comparator3.spec?id=ab5387f4d7748bf87948598d42e2df02070742d8
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sebastian-comparator3-3.0.0-1.remi.src.rpm
Description: 
This component provides the functionality to compare PHP values for equality.

Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2018-04-20 14:08:51 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated", "*No copyright* BSD
     (3 clause)". 42 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-sebastian-comparator3
     /review-php-sebastian-comparator3/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/php/SebastianBergmann
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.12 DB version 1.31.0 built Apr 05 2018
     07:35:57 CEST static analyze results in /home/bob/packaging/review
     /php-sebastian-comparator3/review-php-sebastian-comparator3/phpci.log


Rpmlint
-------
Checking: php-sebastian-comparator3-3.0.0-1.fc29.noarch.rpm
          php-sebastian-comparator3-3.0.0-1.fc29.src.rpm
php-sebastian-comparator3.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sebastian-comparator3.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sebastian-comparator3.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sebastian-comparator3.src: W: spelling-error %description -l en_US usr -> use, us, user
php-sebastian-comparator3.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 2 Remi Collet 2018-04-20 14:14:13 UTC
(In reply to Robert-André Mauchin from comment #1)
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners:
>      /usr/share/php/SebastianBergmann


Looks like a false positive... this directory is own by php-sebastian-diff3 which is required by this package.

Thanks for the review.

SCM requests
https://pagure.io/releng/fedora-scm-requests/issue/6160
https://pagure.io/releng/fedora-scm-requests/issue/6161

Comment 3 Gwyn Ciesla 2018-04-20 14:17:18 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-sebastian-comparator3

Comment 4 Fedora Update System 2018-04-21 04:49:32 UTC
php-sebastian-comparator3-3.0.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-669e8269e2

Comment 5 Fedora Update System 2018-04-21 18:39:22 UTC
php-sebastian-comparator3-3.0.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-669e8269e2

Comment 6 Fedora Update System 2018-04-27 04:11:05 UTC
php-sebastian-comparator3-3.0.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.